Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025091
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-06 10:072013-12-20 13:14
ReporteralostaleView Statuspublic 
Assigned Tomalsasua 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchpiFixed in SCM revision5c35cc0673c6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025091: Design defects in OB.UTIL.isDisableDiscount

DescriptionDiscounts entry in menu, which allows to apply discretionary discounts, is enabled/disabled based on:
-If there's no line in the ticket -> disable
-If there're lines and there are active discretionary discounts available to be applied -> enable

There are some issues in this logic (OB.UTIL.isDisableDiscount):
1. Incorrect handling of asynchronous DB query which results in always returning false regardless there are active discretionary discounts
2. Hardcoded list of promotions type to get the discretionary ones, OB.Model.Discounts.getManualPromotions() should be used instead
3. Excessive listening. All events in ticket and lines are observed to execute this logic, this should be revisited to reduce the number of events triggering it.
4. Too many queries to local DB, each time it is executed a new query is performed. Result should be cached to prevent it
Steps To ReproducePerform any action in the ticket and see how this function is executed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062608)
hgbot (developer)
2013-12-05 15:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5c35cc0673c6437dbfe70db1db66b2c29d570d46
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 05 15:40:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]

Fixed issue 25091: Design defects in OB.UTIL.isDisableDiscount

---
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0062610)
hgbot (developer)
2013-12-05 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 5c35cc0673c6437dbfe70db1db66b2c29d570d46
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 05 15:40:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]

Fixed issue 25091: Design defects in OB.UTIL.isDisableDiscount

---
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0062626)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062655)
hgbot (developer)
2013-12-05 17:48

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 5c35cc0673c6437dbfe70db1db66b2c29d570d46
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 05 15:40:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]

Fixed issue 25091: Design defects in OB.UTIL.isDisableDiscount

---
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0062777)
hgbot (developer)
2013-12-18 13:30

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 4cb0a58b5bfa964e4d566d37b94727aad28f9802
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 13:29:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/4cb0a58b5bfa964e4d566d37b94727aad28f9802 [^]

related to issue 25091: listen just to the need events

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0062779)
guilleaer (developer)
2013-12-18 13:35

verified
(0062793)
hgbot (developer)
2013-12-18 16:45

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: 4cb0a58b5bfa964e4d566d37b94727aad28f9802
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 13:29:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/4cb0a58b5bfa964e4d566d37b94727aad28f9802 [^]

related to issue 25091: listen just to the need events

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0062889)
hgbot (developer)
2013-12-19 18:19

Repository: erp/pmods/org.openbravo.mobile.core.offline
Changeset: 4cb0a58b5bfa964e4d566d37b94727aad28f9802
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Dec 18 13:29:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.offline/rev/4cb0a58b5bfa964e4d566d37b94727aad28f9802 [^]

related to issue 25091: listen just to the need events

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0062932)
hgbot (developer)
2013-12-19 19:52

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 5c35cc0673c6437dbfe70db1db66b2c29d570d46
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 05 15:40:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]

Fixed issue 25091: Design defects in OB.UTIL.isDisableDiscount

---
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0062980)
guilleaer (developer)
2013-12-20 13:14

reclosed

- Issue History
Date Modified Username Field Change
2013-11-06 10:07 alostale New Issue
2013-11-06 10:07 alostale Assigned To => marvintm
2013-11-06 10:07 alostale Triggers an Emergency Pack => No
2013-11-11 13:32 malsasua Assigned To marvintm => malsasua
2013-12-05 15:40 hgbot Checkin
2013-12-05 15:40 hgbot Note Added: 0062608
2013-12-05 15:40 hgbot Status new => resolved
2013-12-05 15:40 hgbot Resolution open => fixed
2013-12-05 15:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]
2013-12-05 17:06 hgbot Checkin
2013-12-05 17:06 hgbot Note Added: 0062610
2013-12-05 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]
2013-12-05 17:21 guilleaer Note Added: 0062626
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-05 17:27 guilleaer Status closed => new
2013-12-05 17:27 guilleaer Resolution fixed => open
2013-12-05 17:27 guilleaer Status new => scheduled
2013-12-05 17:27 guilleaer fix_in_branch => pi
2013-12-05 17:27 guilleaer Status scheduled => resolved
2013-12-05 17:27 guilleaer Resolution open => fixed
2013-12-05 17:48 hgbot Checkin
2013-12-05 17:48 hgbot Note Added: 0062655
2013-12-05 17:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]
2013-12-18 13:30 hgbot Checkin
2013-12-18 13:30 hgbot Note Added: 0062777
2013-12-18 13:35 guilleaer Review Assigned To => guilleaer
2013-12-18 13:35 guilleaer Note Added: 0062779
2013-12-18 13:35 guilleaer Status resolved => closed
2013-12-18 13:35 guilleaer Fixed in Version => RMP30
2013-12-18 16:45 hgbot Checkin
2013-12-18 16:45 hgbot Note Added: 0062793
2013-12-19 18:19 hgbot Checkin
2013-12-19 18:19 hgbot Note Added: 0062889
2013-12-19 19:52 hgbot Checkin
2013-12-19 19:52 hgbot Note Added: 0062932
2013-12-19 19:52 hgbot Status closed => resolved
2013-12-19 19:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/5c35cc0673c6437dbfe70db1db66b2c29d570d46 [^]
2013-12-20 13:14 guilleaer Note Added: 0062980
2013-12-20 13:14 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker